#
# spec file for package xwpe (Version 1.5.16a)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  lprold xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz lprold m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xwpe
Copyright:    1994 Fred Kruse
Group:        Development/X11
Provides:     xwpe xwpe133 
Autoreqprov:  on
Version:      1.5.16a
Release:      349
Summary:      A X-window programming environment
Source: xwpe-1.5.16a.tar.gz
Source1: xwpe-1.5.16a.add-newline.dif
Patch: xwpe-1.5.16a.dif
Patch1: sf_warnings.dif

%description
xwpe is a X-window programming environment designed  to  use
on UNIX-systems. It is similar to 'Borland C++ or Turbo Pascal'
environment. The  difference  between  the  programming
environments from Borland an xwpe is that many compilers and
linkers  may  be  started.  From  a  menu  three   different
debuggers  can be chosen. And of course not only key strokes
can select these options but you can also use a mouse.

Authors:
--------
    Fred Kruse <kruse@rrzn-nis.uni-hannover.de>

SuSE series: xdev

%prep
%setup
%patch
%patch1
./configure --prefix=/usr

%build
make

%install
make install
#mv /usr/lib/wpe/we_help /usr/lib/wpe/we.help_eng
#cp we.help_gr /usr/lib/wpe
#chmod 444 /usr/lib/wpe/we.help_gr
#ln -s we.help_eng /usr/lib/wpe/we_help

%files
%doc README CHANGELOG old
%dir /usr/lib/xwpe
/usr/bin/we
/usr/bin/wpe
/usr/bin/xwe
/usr/bin/xwpe
/usr/lib/xwpe/help.*
%config /usr/lib/xwpe/syntax_def
%doc %{_mandir}/man1/we.1.gz
%doc %{_mandir}/man1/wpe.1.gz
%doc %{_mandir}/man1/xwe.1.gz
%doc %{_mandir}/man1/xwpe.1.gz

%changelog -n xwpe
* Wed Jun 06 2001 - schwab@suse.de
- Fix invalid cast.
* Tue May 22 2001 - fehr@suse.de
- fix pointer-cast-warnings on 64bit archs
* Thu Nov 23 2000 - fehr@suse.de
- add group tag
* Tue May 09 2000 - fehr@suse.de
- add lprold to needforbuild to have printer support
* Fri Mar 03 2000 - fehr@suse.de
- moved man pages to /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Apr 28 1999 - ro@suse.de
- update to 1.5.16a (unfortunately the german docu is outdated,
  kept in usr/doc/packages/xwpe/old)
- builds for x86 and alpha
* Fri Aug 01 1997 - fehr@suse.de
- make xwp work in color with current terminfo version
* Mon Jun 09 1997 - fehr@suse.de
- make symbolic links in /usr/bin relative
